Bondery Docs
API reference_generatedcontacts/map-pins

/contacts/map-pins

GET
/contacts/map-pins

Fetch lightweight map pins for contacts within a bounding box.

Authorization

AuthorizationBearer <token>

Better Auth session access token (OAuth 2.1) from the webapp or mobile app. Send as Authorization: Bearer <access_token>.

In: header

Query Parameters

avatarQuality?string

Value in

  • "low"
  • "medium"
  • "high"
avatarSize?string

Value in

  • "small"
  • "medium"
  • "large"
limit?integer
Range1 <= value <= 1000
Default500
maxLat*number
Range-90 <= value <= 90
maxLon*number
Range-180 <= value <= 180
minLat*number
Range-90 <= value <= 90
minLon*number
Range-180 <= value <= 180

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contacts/map-pins?maxLat=-90&maxLon=-180&minLat=-90&minLon=-180"
{  "pins": [    {      "avatar": null,      "firstName": "Ada",      "headline": "Mathematician",      "id": "550e8400-e29b-41d4-a716-446655440000",      "lastInteraction": "2026-01-15T12:00:00.000Z",      "lastName": "Lovelace",      "latitude": 51.5074,      "location": "London, UK",      "longitude": -0.1278    }  ]}